package com.willalp.canteen.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.canteen.domain.HsGiftOrderDetail;
import com.willalp.canteen.domain.resp.OrderResp;

import java.util.List;

/**
 * 食堂订单明细Mapper接口
 *
 * @author songyu
 * @date 2021-12-03
 */
public interface HsGiftOrderDetailMapper extends BaseMapper<HsGiftOrderDetail>
{

    /**
     * 查询食堂订单明细列表
     *
     * @param hsGiftOrderDetail 食堂订单明细
     * @return 食堂订单明细集合
     */
    public List<OrderResp> selectHsCanteenOrderDetailList(HsGiftOrderDetail hsGiftOrderDetail);


}
