package com.willalp.canteen.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.canteen.domain.HsOrderProcess;

import java.util.List;

/**
 * 订单进度记录Mapper接口
 *
 * @author willalp
 * @date 2022-09-29
 */
public interface HsOrderProcessMapper extends BaseMapper<HsOrderProcess>
{
    /**
     * 查询订单进度记录列表
     *
     * @param hsOrderProcess 订单进度记录
     * @return 订单进度记录集合
     */
    public List<HsOrderProcess> selectHsOrderProcessList(HsOrderProcess hsOrderProcess);

}
