package com.willalp.event.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.event.domain.HsEventBusinessRelation;

import java.util.List;

/**
 * 事件相关业务关系Mapper接口
 *
 * @author willalp
 * @date 2023-01-29
 */
public interface HsEventBusinessRelationMapper extends BaseMapper<HsEventBusinessRelation>
{
    /**
     * 查询事件相关业务关系列表
     *
     * @param hsEventBusinessRelation 事件相关业务关系
     * @return 事件相关业务关系集合
     */
    List<HsEventBusinessRelation> selectHsEventBusinessRelationList(HsEventBusinessRelation hsEventBusinessRelation);
}
