package com.willalp.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.ReserveConsumingRecord;

import java.util.List;

/**
 * 物资领用申请业务数据记录Service接口
 *
 * @author willalp
 * @date 2023-01-12
 */
public interface IReserveConsumingRecordService extends IService<ReserveConsumingRecord>
{
    /**
     * 查询物资领用申请业务数据记录列表
     *
     * @param reserveConsumingRecord 物资领用申请业务数据记录
     * @return 物资领用申请业务数据记录集合
     */
    public List<ReserveConsumingRecord> selectReserveConsumingRecordList(ReserveConsumingRecord reserveConsumingRecord);
}
